## seaview 0.0

=== Makefile ===
XFORMS = /divers/xforms/solaris/xforms88/FORMS

#use this to use clustalw1.6, comment out for clustalw1.7
#DEF = -DOLD_CLUSTALW

OBJECTS = seaview.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o comlines.o

SOURCES = seaview.c use_mase_files.c regions.c load_seq.c align.c xfmatpt.c comlines.c

CFLAGS  = -v -Xc -c $(DEBUG) $(OPT) $(DEF) -I$(XFORMS) 

CC = cc 

seaview : $(OBJECTS) 
	$(CC) $(DEBUG) -o $@ $(OBJECTS) \
        -L$(XFORMS) -Bstatic -lforms -Bdynamic\
        -lX11 -lm

..c.o : $(SOURCES)
	$(CC) $(CFLAGS) $?

## seaview 2.2

=== Makefile ===
#this makefile has 2 targets
#seaview    (default target) for standard unix/linux compilation
#seaviewps  does not use the PDFLibLite library and outputs postscript 

#customize these next 3 lines
FLTK = ../fltk-1.1.6
PDF = ../PDFlib-Lite-6.0.1/libs/pdflib
X11 = /usr/X11R6

#comment out and customize next line to set helpfile name at compile-time
#HELP_NOT_IN_PATH = -DDEFAULT_HELPFILE=\"/bge/mgouy/seaview/seaview.help\"

CXX = g++
CC = gcc

OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O2'; else echo '-O0'; fi)

STDCFLAGS  = -Dunix  -c $(OPT) -I$(FLTK) -I$(X11)/include $(DEBUG) $(HELP_NOT_IN_PATH)

CFLAGS = $(STDCFLAGS) -I$(PDF)
PDFLIBS = -L$(PDF) -lpdf 


#conditional macros 
seaviewps : CFLAGS = $(STDCFLAGS) -DNO_PDF


OBJECTS = custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o comlines.o chooser_plus.o resource.o nexus.o viewasprots.o misc_acnuc.o


seaview : seaview.o $(OBJECTS) pdf.o
	$(CXX) $(DEBUG)  seaview.o $(OBJECTS) pdf.o \
			-L$(FLTK)/lib -lfltk \
			$(PDFLIBS)   \
             -L$(X11)/lib -lX11 \
             -o seaview \
             -lm        

seaviewps : seaview.o $(OBJECTS) postscript.o
	$(CXX) $(DEBUG)  seaview.o $(OBJECTS) postscript.o \
			-L$(FLTK)/lib -lfltk \
             -L$(X11)/lib -lX11 \
             -o seaview \
             -lm        


.SUFFIXES:	.cxx .h .o

.cxx.o :
	$(CXX) $(CFLAGS) $<
.c.o :
	$(CC) $(CFLAGS) $<

## seaview 3.2

=== Makefile ===
#this makefile has 2 targets
#seaview    (default target) for standard unix/linux compilation
#seaviewps  does not use the PDFLibLite library and outputs postscript 

#customize these next lines
FLTK = /Users/mgouy/Documents/fltk/fltk-1.1.9
#FLTKLIBS = -lfltk_images -lfltk
FLTKLIBS = -L$(FLTK)/lib -lfltk119X11
PDF = /users/mgouy/Documents/PDFlibLite/libs/pdflib
X11 = /usr/X11R6
PNGJPEGLIBS = -L/usr/X11/lib -lpng -L/sw/lib -ljpeg.62


#comment out and customize next line to set helpfile name at compile-time
#HELP_NOT_IN_PATH = -DDEFAULT_HELPFILE=\"/bge/mgouy/seaview/seaview.help\"

CXX = g++
CC = gcc

OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O2'; else echo '-O0'; fi)

STDCFLAGS  = -Dunix -DFLTK1 $(OPT) -I$(FLTK) -I. -I$(X11)/include $(DEBUG) \
	$(HELP_NOT_IN_PATH) -U__APPLE__

CFLAGS = $(STDCFLAGS) -I$(PDF)
PDFLIBS = -L$(PDF) -lpdf 

#conditional macros 
seaviewps : CFLAGS = $(STDCFLAGS) -DNO_PDF

OBJECTS = custom.o use_mase_files.o regions.o load_seq.o align.o \
	xfmatpt.o comlines.o chooser_plus.o resource.o nexus.o viewasprots.o \
	racnuc_fetch.o raa_acnuc.o misc_acnuc.o parser.o md5.o zsockr.o \
	Fl_Native_File_Chooser_FLTK.o

seaview : seaview.cxx $(OBJECTS) pdf.o
	$(CXX) $(DEBUG) -o $@ $(CFLAGS) seaview.cxx $(OBJECTS) pdf.o \
			$(PNGJPEGLIBS) \
			$(FLTKLIBS) \
			-L$(PDF) -lpdf  \
             -L$(X11)/lib -lX11 \
             -lm -lz 

seaviewps : seaview.cxx $(OBJECTS) postscript.o
	$(CXX) $(DEBUG)  -o $@ $(CFLAGS) seaview.cxx $(OBJECTS) postscript.o \
			$(PNGJPEGLIBS) \
			$(FLTKLIBS) \
             -L$(X11)/lib -lX11 \
             -lm -lz 

Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
	$(CXX) -c $(STDCFLAGS)  FL/Fl_Native_File_Chooser_FLTK.cxx

.SUFFIXES:	.cxx .h .o

.cxx.o :
	$(CXX) -c $(CFLAGS) $<
.c.o :
	$(CC) -c $(CFLAGS) $<

## seaview 4.2.5

=== Makefile ===
#For Debian compilation, uncomment the 2 lines below 
#HELPFILE= -DDEFAULT_HELPFILE=\"/usr/share/seaview/seaview.html\"
#PHYMLNAME= -DPHYMLNAME=\"phyml\"


#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
#comment out next 2 and uncomment next 5 lines
PDF_PS_FLAGS = -DNO_PDF
PDF_PS = postscript
#PDF_INC = $(HOME)/PDFlibLite #customize by setting to place of pdflib.h
#PDF_LIB = $(HOME)/PDFlibLite #customize by setting to place of libpdf.*
#PDF_PS = pdf
#PDF_PS_FLAGS = -I$(PDF_INC)
#LPDF = -L$(PDF_LIB) -lpdf



#uncomment the next 3 lines to use custom installed FLTK library
#FLTK = $(HOME)/fltk-1.3
#IFLTK = -I$(FLTK)
#LFLTK = -L$(FLTK)/lib

#to use with FLTK without libXft, comment out the next line
USE_XFT = -DUSE_XFT -I/usr/include/freetype2

EXTRALIBS= -lXft -lXext -ljpeg -lpng $(LPDF)

CXX = g++
CSRC = csrc

#DEBUG = -g
OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O3'; else echo '-O0'; fi)

CFLAGS  = $(USE_XFT) -DFLTK1 -Dunix $(OPT) $(IFLTK) -I$(CSRC) -I. $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)


OBJECTS = custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o comlines.o resource.o nexus.o viewasprots.o racnuc_fetch.o concatenate.o \
raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o Fl_Native_File_Chooser_FLTK.o \
trees.o treedraw.o addbootstrap.o least_squares_brl.o dnapars.o protpars.o lwl.o \
bionj.o phyml_util.o pseudoterminal.o unrooted.o $(PDF_PS).o



seaview : seaview.cxx $(OBJECTS)
	$(CXX) -o $@ $(DEBUG)  $(CFLAGS) seaview.cxx $(OBJECTS)  \
	      $(LFLTK) -lfltk_images -lfltk  \
	     $(EXTRALIBS) \
         -lX11 -lm -lz    

raa_acnuc.o : $(CSRC)/raa_acnuc.c
	gcc -c $(CFLAGS) $(CSRC)/raa_acnuc.c
parser.o : $(CSRC)/parser.c
	gcc -c $(CFLAGS) $(CSRC)/parser.c
misc_acnuc.o : $(CSRC)/misc_acnuc.c
	gcc -c $(CFLAGS) $(CSRC)/misc_acnuc.c
md5.o : $(CSRC)/md5.c
	gcc -c $(CFLAGS) $(CSRC)/md5.c
zsockr.o : $(CSRC)/zsockr.c
	gcc -c $(CFLAGS) $(CSRC)/zsockr.c
dnapars.o : csrc/dnapars.c
	gcc -c $(CFLAGS)  csrc/dnapars.c
protpars.o : csrc/protpars.c
	gcc -c $(CFLAGS)  csrc/protpars.c
lwl.o : csrc/lwl.c
	gcc -c $(CFLAGS)  csrc/lwl.c
bionj.o : csrc/bionj.c
	gcc -c $(CFLAGS) csrc/bionj.c
phyml_util.o : csrc/phyml_util.c
	gcc -c $(CFLAGS) csrc/phyml_util.c
Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
	gcc -c $(CFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx

.SUFFIXES:	.c .cxx .h .o

.cxx.o :
	$(CXX) -c $(CFLAGS) $<
.c.o :
	gcc -c $<

=== debian/changelog ===
seaview (1:4.2.5-1) unstable; urgency=low

  * New upstrem version
  * debian/watch: Force passive mode for ftp, because this works more
    reliably
  * Using dpkg source format version ‘3.0 (quilt)’ (debian/source/format)
  * debian/seaview.doc-base.reference: There is no docbase section
    Bibliography (even if this would be interesting) and thus it was
    moved to Science/Biology

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jun 2010 11:56:05 +0200

seaview (1:4.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Incremented Standards-Version to reflect conformance with Policy 3.8.4
      (no changes needed).
    - Support only i386 and amd64 until non-free autobuilders get more robust.
  * Updated bibliographic reference in ‘debian/upstream-metadata.yaml’.

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Apr 2010 13:07:41 +0900

seaview (1:4.2.1-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release that can be compiled with GCC 4.4.2
    Closes: #560438, Thanks to Luk Claes for the help.
  * Updated bibliographic reference and Debian copyright file.

  [ Andreas Tille ]
  * s/Debian-Med/Debian Med/ in debian/control.

 -- Charles Plessy <plessy@debian.org>  Wed, 06 Jan 2010 21:59:51 +0900

seaview (1:4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Build depend on unversionned libjpeg-dev package.
    - Added XS-Autobuild: yes to benefit from the non-free autobuilders.
    - checked package conformance with Policy 3.8.3 (no changes needed).
  * Documented zlib.conf in debian/copyright.
  * Added various informations in debian/upstream-metadata.yaml.

 -- Charles Plessy <plessy@debian.org>  Sun, 18 Oct 2009 17:10:08 +0900

seaview (1:4.1-1) unstable; urgency=low

  * New upstream version adding nucleotide ambiguity symbols in consensus
    DNA sequences.
  * debian/control: checked package conformance with Policy 3.8.2
    and incremented Standards-Version accordingly (no changes needed).
  * debian/seaview.1*: accepted upstream and therefore deleted.

 -- Charles Plessy <plessy@debian.org>  Mon, 13 Jul 2009 18:54:00 +0900

seaview (1:4.0-1) unstable; urgency=low

  * New upstream version
    - Computes and draws parsimony, distance and PhyML phylogenetic trees.
    - This new version unfortunately uses non-free files, and has therefore been
      removed from Debian, but is distributed in the ‘non-free’ section of its
      archive as a service its users.
  * debian/control:
    - Changed section to non-free/science.
    - Build-Depends on libxft-dev and libxext-dev.
    - Recommends phyml, muscle and clustalw.
    - Dropped dependency on xterm.
    - checked package conformance with Policy 3.8.1.
    - Updated description and removed reference from it.
    - Dropped build dependency on quilt. 
  * debian/patches and debian/README.source removed:
    - 20-no-PDF-in-help.patch: upstream wording became true for Debian as well.
    - 21-location-of-seaview.help.patch: passing -DHELPFILENAME through
      debian/rules instead.
    - 40-seaview_align.sh-newline.patch, seaview_align-full_path.patch:
      seaview_align.sh was removed upstream.
  * debian/README.Debian deleted as well (obsolete).
  * debian/rules:
    - Makes `seaview' instead of `seaviewps' as (non-free) PDF support is not
      default anymore.
    - Indicate the location of the help file with:
      -DHELPFILENAME=\\\"/usr/share/doc/seaview/seaview.html\\\"
    - Uses `dh clean' and $(RM) macro in the clean target.
    - Uses `dh binary-arch` in the binary-arch target (created debian/docs,
      debian/seaview.examples, and debian/manpages).
    - Removed protein.mase from examples (removed upstream).
    - Removed patching facilities (no patches to apply anymore).
  * Removed `seaview_align.sh' from debian/install, as it was removed upstream.
  * debian/copyright:
    - Incremented year and version.
    - Link to the precise versions of the GNU GPL and LGPL.
    - Added the necessary disclaimers because SeaView became non-free.
  * Updated the manpage (debian/seaview.1*).
  * Registered the new help file with doc-base (debian/seaview.doc-base.help).

 -- Charles Plessy <plessy@debian.org>  Wed, 27 May 2009 08:07:40 +0900

seaview (1:3.2-1) unstable; urgency=low

  * New upstream version:
    - Version 3.2: Database import can be done using a keyword.
    - Version 3.1: now use Fl_Native_File_Chooser.
    - Version 3.0: sequences can be imported from embl, genbank, swissprot if
      internet access.
  * debian/copyright:
    - Added the FL directory from Upstream sources.
    - Updated to the latest version of the machine-readable format.
  * debian/seaview.svg: vector icon made for SeaView and forwarded upstream.
  * debian/seaview.1*: added year 2008 to copyright statements.
  * Updated my email address.
  * debian/control, debian/compat: using Debhelper 7.
  * debian/control: added build-dependency on libpng12-dev and zlib1g-dev.
  * Experimental handling of bibliographic references:
    - debian/references contains a BibTeX-formatted reference.
    - debian/seaview.doc-base.references registers it for Doc-base
      in a "Bibliography" section to be proposed later.

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Dec 2008 22:58:57 +0900

seaview (1:2.4-1) unstable; urgency=low

  * New upstream version:
    - Version 2.3: corrected bug if adding/deleting/moving sequences when in
      'view as proteins' mode.
    - Version 2.4: PHYLIP format: user can customize the max length of names.
  * debian/control:
    - Suggests: muscle, clustalw (non-free). Seaview detects if they
     are not present and grays the corresponding option.
    - Allows the upload by Debian Maintainers.
    - Checked that the package conforms to Policy 3.7.3.
  * debian/copyright: made machine-readable
  * MIME support:
    - debian/seaview.sharedmimeinfo associates .aln suffix and
      text/x-clustalw-alignment, debian/seaview.mime and


=== debian/control ===
Source: seaview
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper ( >= 7  ), libfltk1.1-dev, libjpeg-dev, libpng12-dev, libxft-dev, libxext-dev,  zlib1g-dev
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seaview/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/seaview/trunk/
Homepage: http://pbil.univ-lyon1.fr/software/seaview.html
XS-Autobuild: yes

Package: seaview
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clustalw, muscle, phyml
Description: Multiplatform interface for sequence alignment and phylogeny
 SeaView reads and writes various file formats (NEXUS, MSF, CLUSTAL, FASTA,
 PHYLIP, MASE, Newick) of DNA and protein sequences and of phylogenetic trees.
 Alignments can be manually edited. It drives the programs Muscle or Clustal W
 for multiple sequence alignment, and also allows to use any external alignment
 algorithm able to read and write FASTA-formatted files. It computes
 phylogenetic trees by parsimony using PHYLIP's dnapars/protpars algorithm, by
 distance with NJ or BioNJ algorithms on a variety of evolutionary distances, or
 by maximum likelihood using the program PhyML 3.0. SeaView draws phylogenetic
 trees on screen or PostScript files, and allows to download sequences from
 EMBL/GenBank/UniProt using the Internet.

=== debian/rules ===
#!/usr/bin/make -f
# Build rules for the Debian package seaview.
# Modifications by Charles Plessy during the year 2006
# are hereby released as "public domain".


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PROGRAM_NAME	=	seaview

CFLAGS+=-Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) OPT="$(CFLAGS)                                                  \
	        -DPHYMLNAME=\\\"phyml\\\"                                       \
	        -DDEFAULT_HELPFILE=\\\"/usr/share/doc/seaview/seaview.html\\\"" \
	        $(PROGRAM_NAME)                                                 \
	        PNGJPEGLIBS='-lpng -ljpeg' FLTKLIBS='-lfltk -lfltk_images'
	touch build-stamp
	
clean: clean-patched
clean-patched:
	dh clean
	$(RM) *.o seaview seaviewps

install: build
	dh install

# Build architecture-dependent files here.
binary-arch: build install
	dh binary-arch

binary-indep:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## seaview 4.2.10

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #to use with FLTK without libXft, comment out the next line
 USE_XFT = -DUSE_XFT -I/usr/include/freetype2
 
-EXTRALIBS= -lXft -lXext -ljpeg -lpng $(LPDF)
+EXTRALIBS= -lXft -lXext -lfontconfig -ljpeg -lpng $(LPDF)
 
 CXX = g++
 CSRC = csrc

=== debian/changelog ===
seaview (1:4.2.10-1) unstable; urgency=low

  * New upstream version
  * debian/patches/10_makefile.patch:
    - Linker flag -Wl,--as-needed to avoid useless linking and dependencies
    - Activate suggested Options in Makefile

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2010 18:30:25 +0100

seaview (1:4.2.9-1) unstable; urgency=low

  * New upstream version (Closes: #601244).

 -- Charles Plessy <plessy@debian.org>  Wed, 27 Oct 2010 16:12:00 +0900

seaview (1:4.2.6-1) unstable; urgency=low

  * New upstream version.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.1
    (debian/control, no changes needed).
  * Refreshed debian/copyright according to latest DEP-5 discussions.
  * Moved debian/upstream-metadata.yaml's PMID and DOI keys in the
    Reference namespace.

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Aug 2010 14:30:30 +0900

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper ( >= 7  ), libfltk1.1-dev, libjpeg-dev, libpng12-dev, libxft-dev, libxext-dev,  zlib1g-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper ( >= 7  ), quilt, libfltk1.1-dev, libjpeg-dev, libpng12-dev,
+ libxft-dev, libxext-dev,  zlib1g-dev
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seaview/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/seaview/trunk/
 Homepage: http://pbil.univ-lyon1.fr/software/seaview.html

## seaview 4.3.0

=== Makefile ===
#For Debian compilation, uncomment the 2 lines below 
#HELPFILE= -DDEFAULT_HELPFILE=\"/usr/share/doc/seaview/seaview.html\"
#PHYMLNAME= -DPHYMLNAME=\"phyml\"


#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
#comment out next 2 and uncomment next 5 lines
PDF_PS_FLAGS = -DNO_PDF
PDF_PS = postscript
#PDF_INC = $(HOME)/PDFlibLite #customize by setting to place of pdflib.h
#PDF_LIB = $(HOME)/PDFlibLite #customize by setting to place of libpdf.*
#PDF_PS = pdf
#PDF_PS_FLAGS = -I$(PDF_INC)
#LPDF = -L$(PDF_LIB) -lpdf

FLTK = /usr/include
#uncomment the next 3 lines to use custom installed FLTK library
#FLTK = $(HOME)/fltk-1.3.0
#IFLTK = -I$(FLTK)
#LFLTK = -L$(FLTK)/lib

#accept both versions 1.1 and 1.3 of the FLTK library
EXTRAFILE = $(shell if [ -e $(FLTK)/FL/Fl_Device.H ]; then echo 'svg'; \
else echo 'Fl_Native_File_Chooser_FLTK'; fi)


#to use with FLTK without libXft, comment out the next line
USE_XFT = -DUSE_XFT -I/usr/include/freetype2

EXTRALIBS= -lXft -lXext -lfontconfig -ljpeg -lpng -lXinerama $(LPDF)

CC = gcc
CXX = g++
CSRC = csrc

#DEBUG = -g
OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O3'; else echo '-O0'; fi)

CFLAGS  = $(USE_XFT) -DFLTK1 -Dunix $(OPT) $(IFLTK) -I$(CSRC) -I. $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)


OBJECTS = custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o comlines.o resource.o nexus.o viewasprots.o racnuc_fetch.o concatenate.o \
raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o \
trees.o treedraw.o addbootstrap.o least_squares_brl.o dnapars.o protpars.o lwl.o \
bionj.o phyml_util.o pseudoterminal.o unrooted.o $(PDF_PS).o $(EXTRAFILE).o



seaview : seaview.cxx $(OBJECTS)
	$(CXX) -o $@ $(DEBUG)  $(CFLAGS) seaview.cxx $(OBJECTS)  \
	      $(LFLTK) -lfltk_images -lfltk  \
	     $(EXTRALIBS) \
         -lX11 -lm -lz    

raa_acnuc.o : $(CSRC)/raa_acnuc.c
	$(CC) -c $(CFLAGS) $(CSRC)/raa_acnuc.c
parser.o : $(CSRC)/parser.c
	$(CC) -c $(CFLAGS) $(CSRC)/parser.c
misc_acnuc.o : $(CSRC)/misc_acnuc.c
	$(CC) -c $(CFLAGS) $(CSRC)/misc_acnuc.c
md5.o : $(CSRC)/md5.c
	$(CC) -c $(CFLAGS) $(CSRC)/md5.c
zsockr.o : $(CSRC)/zsockr.c
	$(CC) -c $(CFLAGS) $(CSRC)/zsockr.c
dnapars.o : csrc/dnapars.c
	$(CC) -c $(CFLAGS)  csrc/dnapars.c
protpars.o : csrc/protpars.c
	$(CC) -c $(CFLAGS)  csrc/protpars.c
lwl.o : csrc/lwl.c
	$(CC) -c $(CFLAGS)  csrc/lwl.c
bionj.o : csrc/bionj.c
	$(CC) -c $(CFLAGS) csrc/bionj.c
phyml_util.o : csrc/phyml_util.c
	$(CC) -c $(CFLAGS) csrc/phyml_util.c
Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
	$(CC) -c $(CFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx

.SUFFIXES:	.c .cxx .h .o

.cxx.o :
	$(CXX) -c $(CFLAGS) $<
.c.o :
	$(CC) -c $<

=== debian/changelog ===
seaview (1:4.3.0-1ubuntu1) oneiric; urgency=low

  * Explicitly build-depend on libjpeg62-dev, oneiric doesn't have a
    package providing libjpeg-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Aug 2011 13:48:53 +0200

seaview (1:4.3.0-1) unstable; urgency=low

  * New upstream version with SVG output.
  * Built on FLTK 1.3 (debian/control).
  * Corrected location of the help file (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Jul 2011 18:57:42 +0900

seaview (1:4.2.12-1) unstable; urgency=low

  * New upstream versions.
  * Using Debhelper compatibility level 8 (debian/control, debian/compat).
  * Clean extra files through dh_clean (debian/clean, debian/rules).
  * Simplified build system using CDBS to pass options through CFLAGS, removing
    need for patching Makefile (debian/rules, debian/patches, debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/control, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Fri, 10 Jun 2011 15:26:56 +0900

=== debian/control ===
Source: seaview
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper ( >= 8  ), libfltk1.3-dev, libjpeg-dev | libjpeg62-dev, libpng12-dev,
 libxft-dev, libxext-dev, libxinerama-dev, zlib1g-dev
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seaview/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/seaview/trunk/
Homepage: http://pbil.univ-lyon1.fr/software/seaview.html
XS-Autobuild: yes

Package: seaview
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clustalw, muscle, phyml
Description: Multiplatform interface for sequence alignment and phylogeny
 SeaView reads and writes various file formats (NEXUS, MSF, CLUSTAL, FASTA,
 PHYLIP, MASE, Newick) of DNA and protein sequences and of phylogenetic trees.
 Alignments can be manually edited. It drives the programs Muscle or Clustal W
 for multiple sequence alignment, and also allows one to use any external
 alignment algorithm able to read and write FASTA-formatted files. It computes
 phylogenetic trees by parsimony using PHYLIP's dnapars/protpars algorithm, by
 distance with NJ or BioNJ algorithms on a variety of evolutionary distances, or
 by maximum likelihood using the program PhyML 3.0. SeaView draws phylogenetic
 trees on screen or PostScript files, and allows one to download sequences from
 EMBL/GenBank/UniProt using the Internet.

## seaview 4.3.1

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 
 OBJECTS = custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o comlines.o resource.o nexus.o viewasprots.o racnuc_fetch.o concatenate.o \
-raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o \
+raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o statistics.o \
 trees.o treedraw.o addbootstrap.o least_squares_brl.o dnapars.o protpars.o lwl.o \
 bionj.o phyml_util.o pseudoterminal.o unrooted.o $(PDF_PS).o $(EXTRAFILE).o

=== debian/changelog ===
seaview (1:4.3.1-1) unstable; urgency=low

  * New upstream release incorporating debian/patches/format-security.patch. 
  * Build seaview on armel architecture (debian/control).
  * Build-depend on libjpeg62-dev directly (debian/control), as libjpeg62-dev
    no more Provides libjpeg-dev since 6b1-2.

 -- Charles Plessy <plessy@debian.org>  Sat, 03 Dec 2011 11:17:44 +0900

seaview (1:4.3.0-2) unstable; urgency=low

  * debian/patches/format-security.patch: Handle format strings properly
    Closes: #648121
  * debian/control: Fix Vcs fields

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2011 08:26:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: cdbs, debhelper ( >= 8  ), libfltk1.3-dev, libjpeg-dev | libjpeg62-dev, libpng12-dev,
+Build-Depends: cdbs, debhelper ( >= 8 ), libfltk1.3-dev, libjpeg62-dev, libpng12-dev,
  libxft-dev, libxext-dev, libxinerama-dev, zlib1g-dev
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seaview/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/seaview/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seaview/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/seaview/trunk/
 Homepage: http://pbil.univ-lyon1.fr/software/seaview.html
 XS-Autobuild: yes
 
 Package: seaview
-Architecture: i386 amd64
+Architecture: i386 amd64 armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: clustalw, muscle, phyml
 Description: Multiplatform interface for sequence alignment and phylogeny

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Same as upstream Makefile
CFLAGS  += -DUSE_XFT -I/usr/include/freetype2 -DFLTK1 -Dunix -Icsrc -I. -DNO_PDF

# Link as needed
CFLAGS  += -Wl,--as-needed

# Debian-specific names and paths
CFLAGS  += -DDEFAULT_HELPFILE=\\\"/usr/share/doc/seaview/seaview.html\\\" -DPHYMLNAME=\\\"phyml\\\"

## seaview 4.3.2

=== debian/changelog ===
seaview (1:4.3.2-1) unstable; urgency=low

  * New upstream release.
  * Moved help file to /usr/share/seaview and left a symbolic link.

 -- Charles Plessy <plessy@debian.org>  Sun, 08 Jan 2012 18:57:12 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 CFLAGS  += -Wl,--as-needed
 
 # Debian-specific names and paths
-CFLAGS  += -DDEFAULT_HELPFILE=\\\"/usr/share/doc/seaview/seaview.html\\\" -DPHYMLNAME=\\\"phyml\\\"
+CFLAGS  += -DDEFAULT_HELPFILE=\\\"/usr/share/seaview/seaview.html\\\" -DPHYMLNAME=\\\"phyml\\\"

## seaview 4.3.3

=== debian/changelog ===
seaview (1:4.3.3-3) unstable; urgency=low

  * debian/control: drop cdbs Build-Dependency
  * debian/rules: switch to short dh
  * debian/patches/use-dpkg-buildflags.patch: Patch for upstream Makefile
    to ensure hardening flags (Thanks to Simon Ruderich <simon@ruderich.org>
    for the patch)
    Closes: #662818
  * mv debian/examples debian/example_files
    because lintian claimed executable debhelper file (missinterpreting
    dir as debhelper input file)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Mar 2012 20:38:53 +0100

seaview (1:4.3.3-2) unstable; urgency=low

  * Build on libpng-dev instead of libpng12-dev (Closes: #662499).
  * Harden through Debhelper's compatibility level 9.

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Mar 2012 13:47:02 +0900

seaview (1:4.3.3-1) unstable; urgency=low

  * New upstream release.
  * Include upstream example in Nexus format (debian/seaview.examples).
  * Complies with Policy 3.9.3 (debian/control, no other changes needed).

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Feb 2012 13:36:57 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: cdbs, debhelper ( >= 8 ), libfltk1.3-dev, libjpeg62-dev, libpng12-dev,
+Build-Depends: debhelper ( >= 9 ), libfltk1.3-dev, libjpeg62-dev, libpng-dev,
  libxft-dev, libxext-dev, libxinerama-dev, zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/seaview/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/seaview/trunk/
 Homepage: http://pbil.univ-lyon1.fr/software/seaview.html

=== debian/rules ===
#!/usr/bin/make -f

# Same as upstream Makefile
CFLAGS  += -DUSE_XFT -I/usr/include/freetype2 -DFLTK1 -Dunix -Icsrc -I. -DNO_PDF

# Debian-specific names and paths
CFLAGS  += -DDEFAULT_HELPFILE=\"/usr/share/seaview/seaview.html\" -DPHYMLNAME=\"phyml\"

export DEB_CFLAGS_MAINT_APPEND  = $(CFLAGS)

# Link as needed
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## seaview 4.4.0

=== Makefile ===
#For Debian compilation, uncomment the 2 lines below 
#HELPFILE= -DDEFAULT_HELPFILE=\"/usr/share/doc/seaview/seaview.html\"
#PHYMLNAME= -DPHYMLNAME=\"phyml\"


#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
#comment out next and uncomment next 4 lines
PDF_PS_FLAGS = -DNO_PDF
#PDF_INC = $(HOME)/PDFlibLite #customize by setting to place of pdflib.h
#PDF_LIB = $(HOME)/PDFlibLite #customize by setting to place of libpdf.*
#PDF_PS_FLAGS = -I$(PDF_INC)
#LPDF = -L$(PDF_LIB) -lpdf

FLTK = /usr/include
#uncomment the next 3 lines to use custom installed FLTK library
#FLTK = $(HOME)/fltk-1.3.0
#IFLTK = -I$(FLTK)
#LFLTK = -L$(FLTK)/lib

#to use with FLTK without libXft, comment out the next line
USE_XFT = -DUSE_XFT -I/usr/include/freetype2

EXTRALIBS = -lXft -lXext -lfontconfig -ljpeg -lpng -lXinerama $(LPDF)

CC = gcc
CXX = g++
CSRC = csrc

#DEBUG = -g
OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O3'; else echo '-O0'; fi)

CFLAGS  = $(USE_XFT) -DFLTK1 -Dunix $(OPT) $(IFLTK) -I$(CSRC) -I. $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)


OBJECTS = seaview.o custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o \
comlines.o resource.o nexus.o \
viewasprots.o racnuc_fetch.o concatenate.o statistics.o \
trees.o treedraw.o addbootstrap.o least_squares_brl.o \
pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o
 

COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o lwl.o bionj.o phyml_util.o


seaview : $(OBJECTS) $(COBJECTS)
	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS)  \
	      $(LFLTK) -lfltk_images -lfltk  \
	     $(EXTRALIBS) \
         -lX11 -lm -lz -lpthread

$(COBJECTS) : $(CSRC)/$*
	$(CC) -c $(DEBUG) $(OPT) $(CPPFLAGS) -I$(CSRC) $(CSRC)/$*.c


.SUFFIXES:	.c .cxx .h .o

.cxx.o :
	$(CXX) -c $(CPPFLAGS) $(CFLAGS) $<

=== debian/changelog ===
seaview (1:4.4.0-1) unstable; urgency=low

  New upstream release using Clustal Omega instead of Clustal W.

  [ Andreas Tille ]
  * debian/rules: do not force hardening
  * debian/upstream: Keep old information from tasks file as additional
    citation

  [ Charles Plessy ]
  * debian/patches/use-dpkg-buildflags.patch: removed parts adopted upstream.
  * debian/control: recommend Clustal Omega instead of Clustal W.

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Sep 2012 13:30:40 +0900

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
 Package: seaview
 Architecture: i386 amd64 armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: clustalw, muscle, phyml
+Recommends: clustalo, muscle, phyml
 Description: Multiplatform interface for sequence alignment and phylogeny
  SeaView reads and writes various file formats (NEXUS, MSF, CLUSTAL, FASTA,
  PHYLIP, MASE, Newick) of DNA and protein sequences and of phylogenetic trees.
- Alignments can be manually edited. It drives the programs Muscle or Clustal W
- for multiple sequence alignment, and also allows one to use any external
+ Alignments can be manually edited. It drives the programs Muscle or Clustal
+ Omega for multiple sequence alignment, and also allows one to use any external
  alignment algorithm able to read and write FASTA-formatted files. It computes
  phylogenetic trees by parsimony using PHYLIP's dnapars/protpars algorithm, by
  distance with NJ or BioNJ algorithms on a variety of evolutionary distances, or

## seaview 4.4.2

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,10 @@
 #LPDF = -L$(PDF_LIB) -lpdf
 
 FLTK = /usr/include
-#uncomment the next 3 lines to use custom installed FLTK library
-#FLTK = $(HOME)/fltk-1.3.0
+#uncomment the next 3 lines to use your own, uninstalled FLTK library
+#FLTK = $(HOME)/fltk-1.3.2
 #IFLTK = -I$(FLTK)
 #LFLTK = -L$(FLTK)/lib
-
-#to use with FLTK without libXft, comment out the next line
-USE_XFT = -DUSE_XFT -I/usr/include/freetype2
 
 EXTRALIBS = -lXft -lXext -lfontconfig -ljpeg -lpng -lXinerama $(LPDF)
 
@@ -28,15 +25,16 @@
 
 #DEBUG = -g
 OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O3'; else echo '-O0'; fi)
+EXTRA = -DFl_Native_File_Chooser=mgFl_Native_File_Chooser
 
-CFLAGS  = $(USE_XFT) -DFLTK1 -Dunix $(OPT) $(IFLTK) -I$(CSRC) -I. $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)
+SVFLAGS = -Dunix $(OPT) $(IFLTK) -I$(CSRC) -I. $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS) $(EXTRA)
 
 
 OBJECTS = seaview.o custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o \
 comlines.o resource.o nexus.o \
 viewasprots.o racnuc_fetch.o concatenate.o statistics.o \
 trees.o treedraw.o addbootstrap.o least_squares_brl.o \
-pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o
+pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o Fl_Native_File_Chooser_FLTK.o
  
 
 COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o lwl.o bionj.o phyml_util.o
@@ -49,10 +47,12 @@
          -lX11 -lm -lz -lpthread
 
 $(COBJECTS) : $(CSRC)/$*
-	$(CC) -c $(DEBUG) $(OPT) $(CPPFLAGS) -I$(CSRC) $(CSRC)/$*.c
+	$(CC) -c $(DEBUG) $(OPT) $(CFLAGS) -I$(CSRC) $(CSRC)/$*.c
 
+Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
+	$(CXX)  -c -I. -I$(FLTK)/src  $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx
 
 .SUFFIXES:	.c .cxx .h .o
 
 .cxx.o :
-	$(CXX) -c $(CPPFLAGS) $(CFLAGS) $<
+	$(CXX) -c $(CPPFLAGS) $(CFLAGS) $(SVFLAGS) $<

=== debian/changelog ===
seaview (1:4.4.2-1) unstable; urgency=low

  * New upstream version
    Closes: #688632
  * debian/control:
     - cme fix dpkg-control
     - anonscm in Vcs fields
  * debian/patches/add-ldl.patch: Provide lacking -ldl for successfull linking

 -- Andreas Tille <tille@debian.org>  Mon, 12 Aug 2013 13:03:12 +0200

=== debian/control ===
Source: seaview
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: non-free/science
Priority: optional
Build-Depends: debhelper (>= 9),
               libfltk1.3-dev,
               libjpeg62-dev,
               libpng-dev,
               libxft-dev,
               libxext-dev,
               libxinerama-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seaview/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seaview/trunk/
Homepage: http://pbil.univ-lyon1.fr/software/seaview.html
XS-Autobuild: yes

Package: seaview
Architecture: i386 amd64 armel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: clustalo,
            muscle,
            phyml
Description: Multiplatform interface for sequence alignment and phylogeny
 SeaView reads and writes various file formats (NEXUS, MSF, CLUSTAL, FASTA,
 PHYLIP, MASE, Newick) of DNA and protein sequences and of phylogenetic trees.
 Alignments can be manually edited. It drives the programs Muscle or Clustal
 Omega for multiple sequence alignment, and also allows one to use any external
 alignment algorithm able to read and write FASTA-formatted files. It computes
 phylogenetic trees by parsimony using PHYLIP's dnapars/protpars algorithm, by
 distance with NJ or BioNJ algorithms on a variety of evolutionary distances, or
 by maximum likelihood using the program PhyML 3.0. SeaView draws phylogenetic
 trees on screen or PostScript files, and allows one to download sequences from
 EMBL/GenBank/UniProt using the Internet.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Hardening options
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts="passive" \
 ftp://pbil.univ-lyon1.fr/pub/mol_phylogeny/seaview/archive/seaview_(.*)\.tar\.gz

## seaview 4.5.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #IFLTK = -I$(FLTK)
 #LFLTK = -L$(FLTK)/lib
 
-EXTRALIBS = -lXft -lXext -lfontconfig -ljpeg -lpng -lXinerama $(LPDF)
+EXTRALIBS = -lXft -lXext -lfontconfig -ljpeg -lpng -lXinerama $(LPDF) -ldl
 
 CC = gcc
 CXX = g++
@@ -50,7 +50,7 @@
 	$(CC) -c $(DEBUG) $(OPT) $(CFLAGS) -I$(CSRC) $(CSRC)/$*.c
 
 Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
-	$(CXX)  -c -I. -I$(FLTK)/src  $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx
+	$(CXX)  -c -I. $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx
 
 .SUFFIXES:	.c .cxx .h .o

=== debian/changelog ===
seaview (1:4.5.1-1) unstable; urgency=medium

  * New upstream version

  [ Andreas Tille ]
  * debian/upstream -> debian/upstream/metadata
  * cme fix dpkg-control

  [ Charles Plessy ]
  * debian/patches/add-ldl.patch: removed (applied upstream).
  * Build-depend on libjpeg8-dev instead of libjpeg62-dev. 
  * debian/seaview.mime: removed (redundant with FreeDesktop entry).

 -- Charles Plessy <plessy@debian.org>  Sat, 10 May 2014 17:29:33 +0900

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: non-free/science
+XS-Autobuild: yes
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libfltk1.3-dev,
-               libjpeg62-dev,
+               libjpeg8-dev,
                libpng-dev,
                libxft-dev,
                libxext-dev,
                libxinerama-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seaview/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seaview/trunk/
 Homepage: http://pbil.univ-lyon1.fr/software/seaview.html
-XS-Autobuild: yes
 
 Package: seaview
 Architecture: i386 amd64 armel
@@ -36,4 +36,3 @@
  by maximum likelihood using the program PhyML 3.0. SeaView draws phylogenetic
  trees on screen or PostScript files, and allows one to download sequences from
  EMBL/GenBank/UniProt using the Internet. 
-

## seaview 4.5.3.1

=== Makefile ===
#For Debian compilation, uncomment the 2 lines below 
#HELPFILE= -DDEFAULT_HELPFILE=\"/usr/share/doc/seaview/seaview.html\"
#PHYMLNAME= -DPHYMLNAME=\"phyml\"

#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
# uncomment and adapt to your local file system next 2 lines
#PDF_INC = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of pdflib.h
#PDF_LIB = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of libpdf.*

#uncomment and adapt to your local file system the next line to use your own, uninstalled FLTK library
#FLTK = $(HOME)/fltk-1.3.2

CFLTK = fltk-config
IFLTK = $(shell if [ '$(FLTK)' != '' ]; then echo '-I$(FLTK)'; fi)
CONFIG = $(shell if [ '$(FLTK)' != '' ]; then echo '$(FLTK)/$(CFLTK)'; else echo '$(CFLTK)'; fi)
PDF_PS_FLAGS = $(shell if [ '$(PDF_INC)' != '' ]; then echo '-I$(PDF_INC)'; else echo '-DNO_PDF'; fi)
LPDF = $(shell if [ '$(PDF_LIB)' != '' ]; then echo '-L$(PDF_LIB) -lpdf'; fi)

EXTRALIBS = $(shell $(CONFIG) --use-images --ldflags) -ldl -lpthread -lz

CC = gcc
CXX = g++
CSRC = csrc

#DEBUG = -g
OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O3'; else echo '-O0'; fi)

SVFLAGS = $(CPPFLAGS) $(CFLAGS) -Dunix $(OPT) -I. $(IFLTK) -I$(CSRC) $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)

OBJECTS = seaview.o custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o \
comlines.o resource.o nexus.o \
viewasprots.o racnuc_fetch.o concatenate.o statistics.o \
trees.o treedraw.o addbootstrap.o least_squares_brl.o \
pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o Fl_Native_File_Chooser_FLTK.o
 
COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o seq.o phylip.o lwl.o bionj.o phyml_util.o

seaview : $(OBJECTS) $(COBJECTS)
	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS) $(LPDF) $(EXTRALIBS) 

$(COBJECTS) : $(CSRC)/$*
	$(CC) -c $(DEBUG) $(OPT) $(CFLAGS) -I$(CSRC) $(CSRC)/$*.c

Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
	$(CXX)  -c -I. $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx

.SUFFIXES:	.c .cxx .h .o

.cxx.o :
	$(CXX) -c  $(SVFLAGS) $<

=== debian/changelog ===
seaview (1:4.5.3.1-2) unstable; urgency=medium

  * Remove unneeded build-dependance on libjpeg8-dev (Closes: #765824).

 -- Charles Plessy <plessy@debian.org>  Sun, 19 Oct 2014 08:15:00 +0900

seaview (1:4.5.3.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Architecture any

 -- Andreas Tille <tille@debian.org>  Sat, 04 Oct 2014 10:27:09 +0200

seaview (1:4.5.3-1) unstable; urgency=medium

  * New upstream version that can go to main since third party code
    from PHYLIP is now free
  * cme fix dpkg-control
  * debian/copyright: Third party code from PHYLIP is now BSD-2-Clause

 -- Andreas Tille <tille@debian.org>  Mon, 22 Sep 2014 21:59:39 +0200

seaview (1:4.5.2-1) unstable; urgency=medium

  * New upstream version.
  * New homepage. 

 -- Charles Plessy <plessy@debian.org>  Sun, 21 Sep 2014 19:48:42 +0900

## seaview 4.5.4.5

=== Makefile ===
#For Debian compilation, uncomment the 2 lines below 
#HELPFILE= -DDEFAULT_HELPFILE=\"/usr/share/doc/seaview/seaview.html\"
#PHYMLNAME= -DPHYMLNAME=\"phyml\"


#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
# uncomment next 4 lines and adapt next 2 to your local file system 
#PDF_INC = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of pdflib.h
#PDF_LIB = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of libpdf.*
#PDF_PS_FLAGS = -I$(PDF_INC)
#LPDF = -L$(PDF_LIB) -lpdf


#to use your own, uninstalled FLTK library,
#uncomment the next 3 lines and adapt the 1st to your local file system 
#FLTK = $(HOME)/fltk-1.3
#IFLTK = -I$(FLTK)
#CONFIG = $(FLTK)/fltk-config


CONFIG ?= fltk-config
PDF_PS_FLAGS ?= -DNO_PDF

EXTRALIBS = `$(CONFIG) --use-images --ldflags`

CC = gcc
CXX = g++
CSRC = csrc

#DEBUG = -g
#OPT = -O0

OPT ?= -O3

SVFLAGS = $(CPPFLAGS) $(CFLAGS) -Dunix $(OPT) -I. $(IFLTK) -I$(CSRC) $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)

OBJECTS = seaview.o custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o \
comlines.o resource.o nexus.o \
viewasprots.o racnuc_fetch.o concatenate.o statistics.o \
trees.o treedraw.o addbootstrap.o least_squares_brl.o \
pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o Fl_Native_File_Chooser_FLTK.o
 
COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o seq.o phylip.o lwl.o bionj.o phyml_util.o

seaview : $(OBJECTS) $(COBJECTS)
	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS) $(LPDF) $(EXTRALIBS) 

$(COBJECTS) : $(CSRC)/$<
	$(CC) -c $(DEBUG) $(OPT) $(CFLAGS) -Dunix -I$(CSRC) $(CSRC)/$*.c

Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
	$(CXX)  -c -I. $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx

.SUFFIXES:	.c .cxx .h .o

.cxx.o :
	$(CXX) -c  $(SVFLAGS) $<

=== debian/changelog ===
seaview (1:4.5.4.5-1) unstable; urgency=medium

  * New upstream version (remove patch applied upstream)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jul 2015 18:24:20 +0200

seaview (1:4.5.4.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2015 16:20:43 +0200

## seaview 4.5.4.8

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 CONFIG ?= fltk-config
 PDF_PS_FLAGS ?= -DNO_PDF
 
-EXTRALIBS = `$(CONFIG) --use-images --ldflags`
+EXTRALIBS = `$(CONFIG) --use-images --ldflags` -ldl -lpthread -lz
 
 CC = gcc
 CXX = g++

=== debian/changelog ===
seaview (1:4.5.4.8-2) unstable; urgency=medium

  * Rebuild using -fPIC
    Closes: #809713

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jan 2016 14:40:56 +0100

seaview (1:4.5.4.8-1) unstable; urgency=medium

  [ Charles Plessy ]
  * Drop menu file as per decision of the Technical Committee.

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2015 08:29:12 +0100

seaview (1:4.5.4.7-1) unstable; urgency=medium

  * New upstream version (remove patch applied upstream)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 21:10:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,22 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: non-free/science
-XS-Autobuild: yes
+Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libfltk1.3-dev,
-               libjpeg8-dev,
                libpng-dev,
                libxft-dev,
                libxext-dev,
                libxinerama-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seaview/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seaview/trunk/
-Homepage: http://pbil.univ-lyon1.fr/software/seaview.html
+Homepage: http://doua.prabi.fr/software/seaview
 
 Package: seaview
-Architecture: i386 amd64 armel
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: clustalo,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Debian-specific names and paths
 CFLAGS  += -DDEFAULT_HELPFILE=\"/usr/share/seaview/seaview.html\" -DPHYMLNAME=\"phyml\"
 
-export DEB_CFLAGS_MAINT_APPEND  = $(CFLAGS)
+export DEB_CFLAGS_MAINT_APPEND  = $(CFLAGS) -fPIC
 
 # Link as needed
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

## seaview 4.6

=== debian/changelog ===
seaview (1:4.6-2) unstable; urgency=medium

  * Do not require user input at stdin when calling phyml

 -- Andreas Tille <tille@debian.org>  Wed, 20 Apr 2016 13:21:29 +0200

seaview (1:4.6-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Sun, 20 Mar 2016 07:12:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libxext-dev,
                libxinerama-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seaview/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seaview/trunk/
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seaview.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/seaview.git
 Homepage: http://doua.prabi.fr/software/seaview
 
 Package: seaview
